﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ObjemPovrchKoule
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        #region Udalosti
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        private void BtnVypocet_Click(object sender, RoutedEventArgs e)
        {
            if (double.TryParse(TxtPolomer.Text, out double r))
            {
                TxtPovrch.Text = (4 * Math.PI * r * r).ToString();
                TxtObjem.Text = ((double)4 / 3 * Math.PI * Math.Pow(r, 3)).ToString();
            }
        }
        private void BtnFunkce_Click(object sender, RoutedEventArgs e)
        {
            if (double.TryParse(TxtPolomer.Text, out double r))
            {
                TxtPovrch.Text = FcePovrch(r).ToString();
                TxtObjem.Text = FceObjem(r).ToString();
            }
        }

        private void BtnProcedura_Click(object sender, RoutedEventArgs e)
        {
            double v, s;
            if (double.TryParse(TxtPolomer.Text, out double r))
            {
                ProcPovrch(r, out s);
                ProcObjem(r, out v);

                TxtPovrch.Text = string.Format("{0:N2}", s);
                TxtObjem.Text = string.Format("{0:N2}", v);
            }
        }

        private void BtnFunkce2_Click(object sender, RoutedEventArgs e)
        {
            if (double.TryParse(TxtPolomer.Text, out double r))
            {
                TxtPovrch.Text = string.Format("{0:N2}", Povrch(r));
                TxtObjem.Text = string.Format("{0:N2}", Objem(r));
            }
        }
        #endregion

        #region Vypocty
        private double FcePovrch(double r)
        {
            double s;
            s = (4 * Math.PI * r * r);
            return s;
        }
        private double FceObjem(double r)
        {
            double v;
            v = (double)4 / 3 * Math.PI * Math.Pow(r, 3);
            return v;
        }

        private void ProcPovrch(double r, out double s)
        {
            s = (4 * Math.PI * r * r);
        }
        private void ProcObjem(double r, out double v)
        {
            v = (double)4 / 3 * Math.PI * Math.Pow(r, 3);
        }

        private double Povrch(double r) => (4 * Math.PI * r * r);
        private double Objem(double r) => (double)4 / 3 * Math.PI * Math.Pow(r, 3);


        #endregion


    }
}
